Loading...
Searching...
No Matches
IterTraits< NodeT, typename NodeT::ChildAllCIter > Struct Template Reference

`#include <openvdb/tree/TreeIterator.h>`

## Classes

struct | NodeConverter

## Public Types

using | IterT = typename NodeT::ChildAllCIter

## Static Public Member Functions

static IterT | begin (const NodeT &node)
template<typename ChildT >
static ChildT * | getChild (const IterT &iter)

## Member Typedef Documentation

## IterT

template<typename NodeT >

using IterT = typename NodeT::ChildAllCIter

## Member Function Documentation

## begin()

template<typename NodeT >

static IterT begin | ( | const NodeT & | node | ) |

inlinestatic

## getChild()

template<typename NodeT >
template<typename ChildT >

static ChildT * getChild | ( | const IterT & | iter | ) |

inlinestatic